{
    "individual": [
        { "name": "Start Node", "type": "begin" },
        {
            "name": "Average",
            "type": "middle",
            "fields": [
                {"label": "Joint 1", "type": "slot"},
                {"label": "Joint 2", "type": "slot"}
            ]
        },
        {
            "name": "Distance",
            "type": "middle",
            "fields": [
                {"label": "Joint 1", "type": "slot"},
                {"label": "Joint 2", "type": "slot"}
            ]
        },
        {
            "name": "Z-Diff",
            "type": "middle",
            "fields": [
                {"label": "Joint 1", "type": "slot"},
                {"label": "Joint 2", "type": "slot"}
            ]
        },
        {
            "name": "Angle",
            "type": "middle",
            "fields": [
                {"label": "Joint 1", "type": "slot"},
                {"label": "Joint 2", "type": "slot"},
                {"label": "Joint 3", "type": "slot"} 
            ]
        },


        { "name": "End", "type": "end" },
        { "name": "Joint 1", "type": "logic" },
        { "name": "Joint 2", "type": "logic" },
        { "name": "Joint 3", "type": "logic" },
        { "name": "Joint 4", "type": "logic" },
        { "name": "Joint 5", "type": "logic" },
        { "name": "Joint 6", "type": "logic" },
        { "name": "Joint 7", "type": "logic" },
        { "name": "Joint 8", "type": "logic" },
        { "name": "Joint 9", "type": "logic" },
        { "name": "Joint 10", "type": "logic" },
        { "name": "Joint 11", "type": "logic" },
        { "name": "Joint 12", "type": "logic" },
        { "name": "Joint 13", "type": "logic" },
        { "name": "Joint 14", "type": "logic" },
        { "name": "Joint 15", "type": "logic" },
        { "name": "Joint 16", "type": "logic" },
        { "name": "Joint 17", "type": "logic" }
    ]
}